Bug 431404 - Please update to BS 3.0.5
Please update to BS 3.0.5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-BeautifulSoup (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 03:33 EST by Terje Røsten
Modified: 2008-02-17 14:03 EST (History)
0 users

See Also:
Fixed In Version: 3.0.5-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 14:03:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
spec file for beautiful soup 3.0.5. (1.94 KB, text/x-rpm-spec)
2008-02-04 03:33 EST, Terje Røsten
no flags Details

  None (edit)
Description Terje Røsten 2008-02-04 03:33:04 EST
Description of problem:

Please update to latest release: 3.0.5:

 http://www.crummy.com/software/BeautifulSoup/


By mistake I did not find the package at all in teh repos (is it still missing
i F-7?) so I created a brand new spec file. It has some improvements, see
the attachment.
Comment 1 Terje Røsten 2008-02-04 03:33:04 EST
Created attachment 293872 [details]
spec file for beautiful soup 3.0.5.
Comment 2 Nicolas Chauvet (kwizart) 2008-02-04 04:49:22 EST
Thx for noticed that.
You can request to add you to the package ownership, if you want to co-maintain
it with me.
I'm using it for Freevo but i don't expect updating for all supported fedora
version will be a problem.


Just few comment about your spec:
- Package name remains python-BeautifulSoup
- Update license to BSD - OK
- Improve description - OK
- You can drop CFLAGS field (as we are is a noarch package)

I will request a F-7 branch, for an unknown reason, it hasn't been created.
Comment 3 Nicolas Chauvet (kwizart) 2008-02-04 04:50:07 EST
Package Change Request
======================
Package Name: python-BeautifulSoup
New Branches: F-7
Comment 4 Terje Røsten 2008-02-04 12:11:48 EST
(In reply to comment #2)
> Thx for noticed that.
> You can request to add you to the package ownership, if you want 
> to co-maintain it with me.

Yes, done. (I hope this pkgdb feature works, or is vsadmin the way?)

BTW: I don't do EPEL stuff. (my mistake to add me there)

> I'm using it for Freevo but i don't expect updating for all supported fedora
> version will be a problem.

Let's try that. I prefer to sync all.

> Just few comment about your spec:
> - Package name remains python-BeautifulSoup

Yes, too lazy to changed this.

> - Update license to BSD - OK
> - Improve description - OK
> - You can drop CFLAGS field (as we are is a noarch package)

Correct.

Updated py-bs package from 3.0.4 to 3.0.5 is available here:

spec:
http://terjeros.fedorapeople.org/python-BeautifulSoup/python-BeautifulSoup.spec

srpm:
http://terjeros.fedorapeople.org/python-BeautifulSoup/python-BeautifulSoup-3.0.5-1.fc8.src.rpm

spec patch 3.0.4 -> 3.0.5:
http://terjeros.fedorapeople.org/python-BeautifulSoup/bs-3.0.5.patch




Comment 5 Kevin Fenzi 2008-02-04 14:48:37 EST
cvs done.
Comment 6 Terje Røsten 2008-02-05 13:59:02 EST
I updated the package in cvs for devel, f-7 and f-8.

Will rebuild to handle egg info stuff. however koji is down, slow
or something, should I push to testing when builds completes?


Comment 7 Terje Røsten 2008-02-17 14:03:39 EST
Push to stable, closing.

Note You need to log in before you can comment on or make changes to this bug.